﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Evolucion
{
    /// <summary>
    /// La clase series es la estructura en la que se almacenan nuestras métricas para luego consultar sus valores y gráficar sus datos
    /// </summary>
    public class Series
    {
        /// <summary>
        /// Error en el eje X
        /// </summary>
        public float ErrorX { get; set; }
        /// <summary>
        /// Error en el eje Y
        /// </summary>
        public float ErrorY { get; set; }
        /// <summary>
        /// Simmetría de velocidad
        /// </summary>
        public float Magnitud { get; set; }
        /// <summary>
        /// Simetriía de angulo
        /// </summary>
        public float Angulo { get; set; }
        /// <summary>
        /// En una métrica almacena la velocidad media y en otra almacena el tiempo de reacción
        /// </summary>
        public float Media { get; set; }
        /// <summary>
        /// simetría del eje x, o evolución de la fuerza en el eje X
        /// </summary>
        public float MediaX { get; set; }
        /// <summary>
        /// simetría del eje y, o evolución de la fuerza en el eje Y
        /// </summary>
        public float MediaY { get; set; }
        /// <summary>
        /// Desviación de la media
        /// </summary>
        public float Desviacion { get; set; }
        /// <summary>
        /// Puntos que ha conseguido en el juego
        /// </summary>
        public int Marcador { get; set; }
        /// <summary>
        /// Número de terapia en la que tenemos los resultados
        /// </summary>
        public int Terapia { get; set; }
        /// <summary>
        /// Número de veces que el objetivo esta parado
        /// </summary>
        public int ObjParado { get; set; }
        /// <summary>
        /// Número de veces que el robot esta parado
        /// </summary>
        public int RobParado { get; set; }
        /// <summary>
        /// Comparación entre las veces que el robot y el objetivo están parados 
        /// </summary>
        public int Compara { get; set; }
        /// <summary>
        /// Fecha en la que se producen las terapias
        /// </summary>
        public string Fecha { get; set; }
    }
}
